Index: code/trunk/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuest.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/AddQuest.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuest.cc
+    @file
     @brief Implementation of the AddQuest class.
 */
@@ -42,5 +42,4 @@
 #include "orxonox/objects/infos/PlayerInfo.h"
 #include "QuestManager.h"
-#include "QuestDescription.h"
 #include "Quest.h"
 
@@ -97,5 +96,5 @@
         try
         {
-            Quest* quest = QuestManager::getInstance().findQuest(this->getQuestId());
+            Quest* quest = QuestManager::findQuest(this->getQuestId());
             if(quest == NULL || !quest->start(player))
             {
Index: code/trunk/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuest.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/AddQuest.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuest.h
+    @file
     @brief Definition of the AddQuest class.
 */
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuestHint.cc
+    @file
     @brief Implementation of the AddQuestHint class.
 */
@@ -117,5 +117,5 @@
         try
         {
-            QuestHint* hint = QuestManager::getInstance().findHint(this->hintId_);
+            QuestHint* hint = QuestManager::findHint(this->hintId_);
             if(hint == NULL || !hint->setActive(player))
             {
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuestHint.h
+    @file
     @brief Definition of the AddQuestHint class.
 */
Index: code/trunk/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddReward.cc
+    @file
     @brief Implementation of the AddReward class.
 */
Index: code/trunk/src/orxonox/objects/quest/AddReward.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/AddReward.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddReward.h
+    @file
     @brief Definition of the AddReward class.
 */
Index: code/trunk/src/orxonox/objects/quest/CMakeLists.txt
===================================================================
--- code/trunk/src/orxonox/objects/quest/CMakeLists.txt	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/CMakeLists.txt	(revision 2910)
@@ -16,5 +16,4 @@
   QuestListener.cc
   QuestManager.cc
-  QuestNotification.cc
   Rewardable.cc
 )
Index: code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file ChangeQuestStatus.cc
+    @file
     @brief Implementation of the ChangeQuestStatus class.
 */
Index: code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file ChangeQuestStatus.h
+    @file
     @brief Definition of the ChangeQuestStatus class.
 */
Index: code/trunk/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file CompleteQuest.cc
+    @file
     @brief Implementation of the CompleteQuest class.
 */
@@ -96,5 +96,5 @@
         try
         {
-            quest = QuestManager::getInstance().findQuest(this->getQuestId());
+            quest = QuestManager::findQuest(this->getQuestId());
             if(quest == NULL || !quest->complete(player))
             {
Index: code/trunk/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/CompleteQuest.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/CompleteQuest.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file CompleteQuest.h
+    @file
     @brief Definition of the CompleteQuest class.
 */
Index: code/trunk/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/FailQuest.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/FailQuest.cc	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file FailQuest.cc
+    @file
     @brief Implementation of the FailQuest class.
 */
@@ -95,5 +95,5 @@
         try
         {
-            quest = QuestManager::getInstance().findQuest(this->getQuestId());
+            quest = QuestManager::findQuest(this->getQuestId());
             if(quest == NULL || !quest->fail(player))
             {
Index: code/trunk/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/FailQuest.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/FailQuest.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file FailQuest.h
+    @file
     @brief Definition of the FailQuest class.
 */
Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file GlobalQuest.cc
+    @file
     @brief Implementation of the GlobalQuest class.
 */
Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file GlobalQuest.h
+    @file
     @brief Definition of the GlobalQuest class.
 */
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file LocalQuest.cc
+    @file
     @brief Implementation of the LocalQuest class.
 */
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file LocalQuest.h
+    @file
     @brief Definition of the LocalQuest class.
 */
Index: code/trunk/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file Quest.cc
+    @file
     @brief Implementation of the Quest class.
 */
@@ -79,5 +79,5 @@
         XMLPortObject(Quest, QuestEffect, "complete-effects", addCompleteEffect, getCompleteEffect, xmlelement, mode);
 
-        QuestManager::getInstance().registerQuest(this); //!<Registers the Quest with the QuestManager.
+        QuestManager::registerQuest(this); //!<Registers the Quest with the QuestManager.
     }
 
Index: code/trunk/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/Quest.h	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file Quest.h
+    @file
     @brief Definition of the Quest class.
         The Quest is the parent class of LocalQuest and GlobalQuest.
Index: code/trunk/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestDescription.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestDescription.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestDescription.cc
+    @file
     @brief Implementation of the QuestDescription class.
 */
@@ -37,5 +37,5 @@
 
 #include "core/CoreIncludes.h"
-#include "QuestNotification.h"
+#include "orxonox/overlays/notifications/Notification.h"
 
 namespace orxonox
@@ -89,13 +89,13 @@
     @return
         Returns true if successful.
-    @todo
-        Make sure the messages meet the conditions.
     */
     bool QuestDescription::notificationHelper(const std::string & item, const std::string & status) const
     {
         std::string message = "";
+        std::string title = "";
         if(item == "hint")
         {
-            message = "You received a hint: '" + this->title_ + "'";
+            title = "You received a hint: '" + this->title_ + "'";
+            message = this->description_;
         }
         else if(item == "quest")
@@ -103,13 +103,16 @@
             if(status == "start")
             {
-                message = "You received a new quest: '" + this->title_ + "'";
+                title = "You received a new quest: '" + this->title_ + "'";
+                message = this->description_;
             }
             else if(status == "fail")
             {
-                message = "You failed the quest: '" + this->title_ + "'";
+                title = "You failed the quest: '" + this->title_ + "'";
+                message = this->failMessage_;
             }
             else if(status == "complete")
             {
-                message = "You successfully completed the quest: '" + this->title_ + "'";
+                title = "You successfully completed the quest: '" + this->title_ + "'";
+                message = this->completeMessage_;
             }
             else
@@ -125,5 +128,5 @@
         }
         
-        QuestNotification* notification = new QuestNotification(message);
+        Notification* notification = new Notification(0, message, title, 30);
         notification->send();
         return true;
Index: code/trunk/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestDescription.h
+    @file
     @brief Definition of the QuestDescription class.
 */
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffect.cc
+    @file
     @brief Implementation of the QuestEffect class.
 */
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestEffect.h
+    @file
     @brief Definition of the QuestEffect class.
 */
Index: code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffectBeacon.cc
+    @file
     @brief Implementation of the QuestEffectBeacon class.
 */
Index: code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffectBeacon.h
+    @file
     @brief Definition of the QuestEffectBeacon class.
 */
Index: code/trunk/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.cc	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestHint.cc
+    @file
     @brief Implementation of the QuestHint class.
 */
@@ -73,5 +73,5 @@
         SUPER(QuestHint, XMLPort, xmlelement, mode);
 
-        QuestManager::getInstance().registerHint(this); //!< Registers the QuestHint with the QuestManager.
+        QuestManager::registerHint(this); //!< Registers the QuestHint with the QuestManager.
         
         COUT(3) << "New QuestHint {" << this->getId() << "} created." << std::endl;
Index: code/trunk/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestHint.h
+    @file
     @brief Definition of the QuestHint class.
 */
Index: code/trunk/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestItem.cc
+    @file
     @brief Implementation of the QuestItem class.
 */
Index: code/trunk/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 2910)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestItem.h
+    @file
     @brief Definition of the QuestItem class.
         The QuestItem is the parent class of Quest and QuestHint.
Index: code/trunk/src/orxonox/objects/quest/QuestListener.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestListener.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestListener.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestListener.cc
+    @file
     @brief Implementation of the QuestListener class.
 */
@@ -112,5 +112,5 @@
     bool QuestListener::setQuestId(const std::string & id)
     {
-        this->quest_ = QuestManager::getInstance().findQuest(id); //!< Find the Quest corresponding to the given questId.
+        this->quest_ = QuestManager::findQuest(id); //!< Find the Quest corresponding to the given questId.
         
         if(this->quest_ == NULL) //!< If there is no such Quest.
Index: code/trunk/src/orxonox/objects/quest/QuestListener.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestListener.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestListener.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestListener.h
+    @file
     @brief Definition of the QuestListener class.
 */
Index: code/trunk/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestManager.cc
+    @file
     @brief Implementation of the QuestManager class.
 */
@@ -43,19 +43,16 @@
 namespace orxonox
 {
-    //! Pointer to the current (and single) instance of this class.
-    QuestManager* QuestManager::singletonRef_s = NULL;
+    //! All Quests registered by their id's.
+    std::map<std::string, Quest*> QuestManager::questMap_s;
+    //! All QuestHints registered by their id's.
+    std::map<std::string, QuestHint*> QuestManager::hintMap_s;
 
     /**
     @brief
         Constructor. Registers the object.
-    @todo
-        Is inheriting from BaseObject proper?
-    */
-    QuestManager::QuestManager()
-    {
-        RegisterRootObject(QuestManager);
-
-        assert(singletonRef_s == 0);
-        singletonRef_s = this;
+    */
+    QuestManager::QuestManager(BaseObject* creator) : BaseObject(creator)
+    {
+        RegisterObject(QuestManager);
     }
 
@@ -67,16 +64,4 @@
     {
 
-    }
-
-    /**
-    @brief
-        Returns a reference to the current (and single) instance of the QuestManager, and creates one if there isn't one to begin with.
-    @return
-        Returns a reference to the single instance of the Quest Manager.
-    */
-    /*static*/ QuestManager & QuestManager::getInstance()
-    {
-        assert(singletonRef_s);
-        return *singletonRef_s;
     }
 
@@ -90,5 +75,5 @@
         Returns true if successful, false if not.
     */
-    bool QuestManager::registerQuest(Quest* quest)
+    /*static*/ bool QuestManager::registerQuest(Quest* quest)
     {
         if(quest == NULL) //!< Doh! Just as if there were actual quests behind NULL-pointers.
@@ -99,5 +84,5 @@
 
         std::pair<std::map<std::string, Quest*>::iterator,bool> result;
-        result = this->questMap_.insert( std::pair<std::string,Quest*>(quest->getId(),quest) ); //!< Inserting the Quest.
+        result = questMap_s.insert( std::pair<std::string,Quest*>(quest->getId(),quest) ); //!< Inserting the Quest.
 
         if(result.second) //!< If inserting was a success.
@@ -122,5 +107,5 @@
         Returns true if successful, false if not.
     */
-    bool QuestManager::registerHint(QuestHint* hint)
+    /*static*/ bool QuestManager::registerHint(QuestHint* hint)
     {
         if(hint == NULL) //!< Still not liking NULL-pointers.
@@ -131,5 +116,5 @@
 
         std::pair<std::map<std::string, QuestHint*>::iterator,bool> result;
-        result = this->hintMap_.insert ( std::pair<std::string,QuestHint*>(hint->getId(),hint) ); //!< Inserting the QuestHSint.
+        result = hintMap_s.insert ( std::pair<std::string,QuestHint*>(hint->getId(),hint) ); //!< Inserting the QuestHSint.
 
         if(result.second) //!< If inserting was a success.
@@ -156,5 +141,5 @@
         Throws an exception if the given questId is invalid.
     */
-    Quest* QuestManager::findQuest(const std::string & questId)
+    /*static*/ Quest* QuestManager::findQuest(const std::string & questId)
     {
         if(!QuestItem::isId(questId)) //!< Check vor validity of the given id.
@@ -164,6 +149,6 @@
 
         Quest* quest;
-        std::map<std::string, Quest*>::iterator it = this->questMap_.find(questId);
-        if (it != this->questMap_.end()) //!< If the Quest is registered.
+        std::map<std::string, Quest*>::iterator it = questMap_s.find(questId);
+        if (it != questMap_s.end()) //!< If the Quest is registered.
         {
             quest = it->second;
@@ -190,5 +175,5 @@
         Throws an exception if the given hintId is invalid.
     */
-    QuestHint* QuestManager::findHint(const std::string & hintId)
+    /*static*/ QuestHint* QuestManager::findHint(const std::string & hintId)
     {
         if(!QuestItem::isId(hintId)) //!< Check vor validity of the given id.
@@ -198,6 +183,6 @@
 
         QuestHint* hint;
-        std::map<std::string, QuestHint*>::iterator it = this->hintMap_.find(hintId);
-        if (it != this->hintMap_.end()) //!< If the QuestHint is registered.
+        std::map<std::string, QuestHint*>::iterator it = hintMap_s.find(hintId);
+        if (it != hintMap_s.end()) //!< If the QuestHint is registered.
         {
             hint = it->second;
Index: code/trunk/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestManager.h
+    @file
     @brief Definition of the QuestManager class.
 */
@@ -40,5 +40,5 @@
 #include <string>
 
-#include "core/OrxonoxClass.h"
+#include "core/BaseObject.h"
 
 namespace orxonox
@@ -46,28 +46,25 @@
     /**
     @brief
-        Is a Singleton and manages Quests, by registering every Quest/QuestHint (through registerX()) and making them globally accessable (through findX()).
+        Is a static class and manages Quests, by registering every Quest/QuestHint (through registerX()) and making them globally accessable (through findX()).
         Quests (and QuestHints) are registered in the QuestManager with their id, and can be accessed in the same way.
     @author
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport QuestManager : public OrxonoxClass
+    class _OrxonoxExport QuestManager : public BaseObject
     {
+
         public:
-            QuestManager();
+            QuestManager(BaseObject* creator);
             virtual ~QuestManager();
 
-            static QuestManager& getInstance(); //!< Returns a reference to the single instance of the Quest Manager.
+            static bool registerQuest(Quest* quest); //!< Registers a Quest in the QuestManager.
+            static bool registerHint(QuestHint* quest); //!< Registers a QuestHint in the QuestManager.
 
-            bool registerQuest(Quest* quest); //!< Registers a Quest in the QuestManager.
-            bool registerHint(QuestHint* quest); //!< Registers a QuestHint in the QuestManager.
-
-            Quest* findQuest(const std::string & questId); //!< Returns the Quest with the input id.
-            QuestHint* findHint(const std::string & hintId); //!< Returns the QuestHint with the input id.
+            static Quest* findQuest(const std::string & questId); //!< Returns the Quest with the input id.
+            static QuestHint* findHint(const std::string & hintId); //!< Returns the QuestHint with the input id.
 
         private:
-            static QuestManager* singletonRef_s;
-
-            std::map<std::string, Quest*> questMap_; //!< All Quests registered by their id's.
-            std::map<std::string, QuestHint*> hintMap_; //!< All QuestHints registered by their id's.
+            static std::map<std::string, Quest*> questMap_s; //!< All Quests registered by their id's.
+            static std::map<std::string, QuestHint*> hintMap_s; //!< All QuestHints registered by their id's.
 
     };
Index: code/trunk/src/orxonox/objects/quest/QuestNotification.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestNotification.cc	(revision 2909)
+++ 	(revision )
@@ -1,66 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See thes
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Damian 'Mozork' Frick
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OrxonoxStableHeaders.h"
-#include "QuestNotification.h"
-
-#include "core/CoreIncludes.h"
-
-#include "orxonox/overlays/notifications/Notification.h"
-
-namespace orxonox {
-
-    const std::string QuestNotification::SENDER = "questsystem";
-
-    QuestNotification::QuestNotification(BaseObject* creator) : Notification(creator)
-    {
-        this->initialize();
-    }
-    
-    QuestNotification::QuestNotification(const std::string & message) : Notification(message)
-    {
-        this->initialize();
-    }
-    
-    QuestNotification::~QuestNotification()
-    {
-        
-    }
-
-    bool QuestNotification::send(void)
-    {
-        return this->Notification::send(QuestNotification::SENDER);
-    }
-
-    void QuestNotification::initialize(void)
-    {
-        RegisterObject(QuestNotification);
-    }
-
-
-}
Index: code/trunk/src/orxonox/objects/quest/QuestNotification.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestNotification.h	(revision 2909)
+++ 	(revision )
@@ -1,64 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See thes
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Damian 'Mozork' Frick
- *   Co-authors:
- *      ...
- *
- */
- 
-#ifndef _QuestNotification_H__
-#define _QuestNotification_H__
-
-#include "OrxonoxPrereqs.h"
-
-#include <string>
-
-#include "orxonox/overlays/notifications/Notification.h"
-
-namespace orxonox {
-
-    /**
-    @brief
-        
-    @author
-        Damian 'Mozork' Frick
-    */
-    class _OrxonoxExport QuestNotification : public Notification
-    {
-        public:
-            QuestNotification(BaseObject* creator);
-            QuestNotification(const std::string & message);
-            virtual ~QuestNotification();
-            
-            bool send(void);
-     
-        private:
-            static const std::string SENDER;
-            
-            void initialize(void);
- 
-    };
-
-}
-
-#endif /* _QuestNotification_H__ */
Index: code/trunk/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/Rewardable.cc	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/Rewardable.cc	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file Rewardable.cc
+    @file
     @brief Implementation of the Rewardable class.
 */
Index: code/trunk/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Rewardable.h	(revision 2909)
+++ code/trunk/src/orxonox/objects/quest/Rewardable.h	(revision 2910)
@@ -28,5 +28,5 @@
 
 /**
-    @file Rewardable.h
+    @file
     @brief Definition of the Rewardable class.
 */